\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows,automata, positioning}

\begin{document}
\begin{tikzpicture}[node distance=1cm]
	\tikzstyle{vert}=[fill=gray, circle]

	\node[vert] (m1s1) [xshift=.5cm] {};
	\node[vert] (m1e1) [xshift=-.5cm,below of=m1s1] {};
	\node[vert] (m1e2) [right of=m1e1] {};
	\node (m1t1) [below of=m1e1, yshift=0.5cm, xshift=0.5cm, align=flush center] {$0$};
	
	\node[vert] (m2s1) [left of=m1s1, xshift=3cm] {};
	\node[vert] (m2e1) [xshift=-.5cm,below of=m2s1] {};
	\node[vert] (m2e2) [right of=m2e1] {};
	\path (m2s1) edge (m2e1);
	\node (m2t1) [below of=m2e1, yshift=0.5cm, xshift=0.5cm, align=flush center] {$1$};
	
	\node[vert] (m3s1) [left of=m2s1, xshift=3cm] {};
	\node[vert] (m3e1) [xshift=-.5cm,below of=m3s1] {};
	\node[vert] (m3e2) [right of=m3e1] {};
	\path (m3s1) edge (m3e1);
	\path (m3s1) edge (m3e2);
	\node (m3t1) [below of=m3e1, yshift=0.5cm, xshift=0.5cm, align=flush center] {$2$};
	
	\node[vert] (m4s1) [left of=m3s1, xshift=3cm] {};
	\node[vert] (m4e1) [xshift=-.5cm,below of=m4s1] {};
	\node[vert] (m4e2) [right of=m4e1] {};
	\path (m4e1) edge (m4e2);
	\path (m4s1) edge (m4e2);
	\path (m4s1) edge (m4e1);
	\node (m4t1) [below of=m4e1, yshift=0.5cm, xshift=0.5cm, align=flush center] {$3$};
\end{tikzpicture}
\end{document}
